//
//  NSString+SCAdditions.h
//  SweetCocoa
//
//  Created by Rico on 9/8/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (NSString_SCAdditions)

- (NSString *)scStringByUnescapingHTML;

- (NSString*)scStringByEncodingAsUrlParameterValue;

- (BOOL) scIsAnyEnterCharacter;

- (NSArray*) scSplitIntoURLComponents;

- (void) scWriteToClipboard;

- (NSString*) scStringByTrimming;

+ (NSString*) scUseValueIfNotEmpty:(NSString*)value orDefault:(NSString*)defaultValue;

- (BOOL) scContainsString:(NSString*)string;

@end
